Difference between revisions of "Draft CircularArray/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Created page with "{{Draft Tools navi/fr}} {{Userdocnavi/fr}}")
(17 intermediate revisions by the same user not shown)
Line 20: Line 20:
 
==Description==
 
==Description==
  
The {{Button|[[File:Draft_CircularArray.svg|16px]] [[Draft_CircularArray|Draft CircularArray]]}} tool creates an array from a selected object placing the copies along concentric circumferences. This is like using [[Draft_PolarArray|PolarArray]] with a polar angle of 360 degrees, and creating several such concentric arrays.
+
L'outil {{Button|[[File:Draft_CircularArray.svg|16px]] [[Draft_CircularArray/fr|Draft Réseau circulaire]]}} crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser [[Draft_PolarArray/fr|Réseau polaire]] avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.
  
This tool can be used on 2D shapes created with the [[Draft_Workbench|Draft Workbench]] but can also be used on many types of 3D objects such as those created with the [[Part_Workbench|Part Workbench]] or [[PartDesign_Workbench|PartDesign Workbench]].
+
Cet outil peut être utilisé sur des formes 2D créées avec l'[[Draft_Workbench/fr|atelier Draft]] mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'[[Part_Workbench/fr|atelier Part]] ou l'[[PartDesign_Workbench/fr|atelier PartDesign]].
  
To position copies in a rectangular grid use [[Draft_Array|Array]]; to position in a polar pattern use [[Draft_PolarArray|PolarArray]]; to position copies along a path use [[Draft_PathArray|PathArray]]; to position copies at specified points use [[Draft_PointArray|PointArray]]; to create copies or clones, and manually place them use [[Draft_Move|Move]], [[Draft_Rotate|Rotate]], and [[Draft_Clone|Clone]].
+
Pour positionner les copies dans une grille rectangulaire, utilisez [[Draft_Array/fr|Draft Réseau]]; pour vous positionner dans un motif polaire, utilisez [[Draft_CircularArray/fr|Draft Réseau circulaire]]; pour positionner des copies le long d'un chemin, utilisez [[Draft_PathArray/fr|Draft Réseau sur un chemin]]; pour positionner les copies aux points spécifiés, utilisez [[Draft_PointArray/fr|Draft Matrice de points]]; pour créer des copies ou des clones et les placer manuellement, utilisez [[Draft_Move/fr|Draft Déplacer]], [[Draft_Rotate/fr|Draft Rotation]] et [[Draft_Clone/fr|Draft Clone]].
  
 
[[Image:Draft_CircularArray_example.png|400px]]
 
[[Image:Draft_CircularArray_example.png|400px]]
  
{{Caption|A circular array of an object.}}
+
{{Caption|Un réseau circulaire d'un objet.}}
  
== Usage ==
+
== Utilisation ==
  
# Select an object from which you wish to make the circular array.
+
# Sélectionnez un objet à partir duquel vous souhaitez créer le tableau circulaire.
# Press the {{Button|[[File:Draft_CircularArray.svg|16px]] [[Draft_CircularArray|Circular array]]}} button. If no object is selected, the [[task_panel|task panel]] will open, but you still need to select an object to proceed.
+
# Appuyez sur le bouton {{Button|[[File:Draft_CircularArray.svg|16px]] [[Draft_CircularArray/fr|Réseau circulaire]]}}. Si aucun objet n'est sélectionné, le [[task_panel/fr|Panneau des tâches]] s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
# Choose the radial distance, which determines the distance from the center of the array to the next circular layer, and between subsequent circular layers.
+
# Choisissez la distance radiale, qui détermine la distance entre le centre du réseau et la couche circulaire suivante, et entre les couches circulaires suivantes.
# Choose the tangential distance, which determines the distance from one element in the array to the next element in the same circular layer. This distance determines how many elements will be in the array; if the number is small, there will be many tightly packed copies; if the number is large, there will only be a few copies. This distance cannot be zero.
+
# Choisissez la distance tangentielle, qui détermine la distance entre un élément du tableau et l'élément suivant dans la même couche circulaire. Cette distance détermine le nombre d'éléments qui seront dans le tableau; si le nombre est petit, il y aura de nombreuses copies bien emballées; si le nombre est important, il n'y aura que quelques exemplaires. Cette distance ne peut pas être nulle.
# Choose the number of circular layers. The original object is considered one layer by itself. Minimum of 2, maximum of 99.
+
# Choisissez le nombre de couches circulaires. L'objet d'origine est considéré comme un seul calque. Minimum de 2, maximum de 99.
# Choose the symmetry number, which determines how the objects will be distributed in the array. Choose a number between 1 and 10.
+
# Choisissez le numéro de symétrie, qui détermine la façon dont les objets seront distribués dans le tableau. Choisissez un nombre entre 1 et 10.
# Choose the center of the axis of rotation. You can click on the [[3D_view|3D view]], to simultaneously set the position of the center of rotation, and complete the command.
+
# Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la [[3D_view/fr|Vue 3D]], pour définir simultanément la position du centre de rotation et terminer la commande.
# Optionally, check the fuse or link options.
+
# Facultativement, vérifiez les options de fusible ou de lien.
# Press {{Button|OK}} to complete the command.
+
# Appuyez sur {{Button|OK}} pour terminer la commande.
  
Notes:
+
Remarques:
* By default, the axis of rotation is the positive Z axis {{Value|(0, 0, 1)}}. This can be changed in the [[property_editor|property editor]] after the object is created.
+
* Par défaut, l'axe de rotation est l'axe Z positif {{Value|(0, 0, 1)}}. Ceci peut être modifié dans l'[[property_editor/fr|Éditeur de propriétés]] après la création de l'objet.
* Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.  
+
* Chaque élément du réseau est un clone exact de l'objet d'origine mais l'ensemble du réseau est considéré comme une seule unité en termes de propriétés et d'apparence.
* This command creates the same object as the one created with the [[Draft_Array|Array]] and [[Draft_PolarArray|PolarArray]] tools. Therefore, the array can be converted to orthogonal, polar, or circular just by changing its properties.
+
* Cette commande crée le même objet que celui créé avec les outils [[Draft_Array/fr|Draft Réseau]] et [[Draft_PolarArray/fr|Draft Réseau polaire]]. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.
  
 
== Options ==
 
== Options ==
  
* Press {{Button|Reset point}} to set the center of the circular patterns to the origin {{Value|(0, 0, 0)}}.
+
* Appuyez sur {{Button|Reset point}} pour définir le centre des motifs circulaires sur l'origine {{Value|(0, 0, 0)}}.
* If the {{MenuCommand|Fuse}} checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
+
* Si la case {{MenuCommand|Fuse}} est cochée, les objets résultants dans le réseau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
* If the {{MenuCommand|Use Links}} checkbox is ticked, the resulting objects in the array will be [[App_Link|App Links]] instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the [[Shape|shape]] of the original object, and does not create new shapes. If this option is used, the {{MenuCommand|Fuse}} checkbox has no effect.
+
* Si la case {{MenuCommand|Use Links}} est cochée, les objets résultants dans le réseau seront [[App_Link/fr|App Links]] au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la [[Shape/fr|forme]] de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher {{MenuCommand | Fuse}} n'a aucun effet.
* Press {{KEY|Esc}} or the {{Button|Cancel}} button to abort the current command.
+
* Appuyez sur {{KEY|Esc}} ou sur le bouton {{Button|Cancel}} pour abandonner la commande en cours.
  
== Properties ==
+
== Propriétés ==
  
An [[Draft_PolarArray|Array]] object is based on [[Part_Feature|Part Feature]] ({{incode|Part::Feature}} class), and thus shares all properties of the latter. In addition to the properties listed in [[Part_Feature|Part Feature]], the Array object has additional properties.
+
Un objet [[Draft_PolarArray/fr|Draft Réseau]] est basé sur[[Part_Feature/fr|Part Feature]] (classe {{incode|Part::Feature}}) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans [[Part_Feature/fr|Part Feature]], l'objet Array possède des propriétés supplémentaires.
  
See the [[Draft_Array|Array]] tool for the complete information.
+
Voir l'outil [[Draft_Array/fr|Draft Réseau]] pour les informations complètes.
  
== Scripting ==
+
== Script ==
  
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
+
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD sripts de base]].
  
The Array tool can be used in [[macros|macros]] and from the [[Python_console|Python console]] by using the following function.
+
L'outil Réseau (Array) peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] avec la fonction suivante:
  
 
{{Code|code=
 
{{Code|code=
Line 72: Line 72:
 
}}
 
}}
  
* Creates an array from the objects contained in {{incode|obj}}, which can be a single object or a list of objects.
+
* Crée un réseau à partir des objets contenus dans {{incode|obj}} qui peut être un seul objet ou une liste d'objets.
* The values of {{incode|r_distance}} and {{incode|tan_distance}} correspond to the radial and tangential distances of the elements in the array.
+
* Les valeurs de {{incode|r_distance}} et {{incode|tan_distance}} correspondent aux distances radiales et tangentielles des éléments du réseau.
* The values of {{incode|axis}} and {{incode|center}} are vectors that describe the direction of the axis of rotation, and a point through which that axis goes.
+
* Les valeurs de {{incode|axis}} et {{incode|center}} sont des vecteurs qui décrivent la direction de l'axe de rotation et un point par lequel passe cet axe.
* The value of {{incode|number}} is the number of circular layers in the circular pattern; the original object counts as the first layer.
+
* La valeur de {{incode|number}} est le nombre de couches circulaires dans le motif circulaire; l'objet d'origine compte comme premier calque.
* The value of {{incode|symmetry}} is an integer that participates in some calculations that affect the way the copies are distributed around the circumferences. Try different values, from 1 to 10, to get different placements of the copies.
+
* La valeur de {{incode|symmetry}} est un entier qui participe à certains calculs qui affectent la façon dont les copies sont réparties autour des circonférences. Essayez différentes valeurs, de 1 à 10, pour obtenir différents emplacements des copies.
* If {{incode|use_link}} is {{TRUE}} the created copies will be [[App_Link|App Links]] and not regular copies.
+
* Si {{incode|use_link}} est {{TRUE}}, les copies créées seront [[App_Link/fr|App Links]] et non des copies régulières.
* {{incode|array_list}} is returned with the new copies.
+
* {{incode|array_list}} est retourné avec les nouvelles copies.
** {{incode|array_list}} is either a single object or a list of objects, depending on the input {{incode|obj}}.
+
** {{incode|array_list}} est soit un objet unique soit une liste d'objets, selon l'entrée {{incode|obj}}.
  
Example:
+
Exemple:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD as App
 
import FreeCAD as App
Line 96: Line 96:
 
}}
 
}}
  
{{Docnav
+
{{Docnav/fr
|[[Draft_Draft2Sketch|Draft to Sketch]]
+
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse]]
|[[Draft_LinkArray|Link Array]]
+
|[[Draft_LinkArray/fr|Link Array]]
|[[Draft_Module|Draft]]
+
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_Draft2Sketch.svg
 
|IconL=Draft_Draft2Sketch.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
Line 105: Line 105:
 
}}
 
}}
  
{{Draft Tools navi}}
+
{{Draft Tools navi/fr}}
{{Userdocnavi}}
+
{{Userdocnavi/fr}}

Revision as of 10:02, 8 February 2020

Other languages:
English • ‎français
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau circulaire

Emplacement du menu
Modify → Circular array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau, Draft Réseau polaire, Draft Chemin pour série de copies, Draft Matrice de points, Draft Clone


Description

L'outil Draft CircularArray.svg Draft Réseau circulaire crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser Réseau polaire avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies dans une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif polaire, utilisez Draft Réseau circulaire; pour positionner des copies le long d'un chemin, utilisez Draft Réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Déplacer, Draft Rotation et Draft Clone.

Draft CircularArray example.png

Un réseau circulaire d'un objet.


Utilisation

  1. Sélectionnez un objet à partir duquel vous souhaitez créer le tableau circulaire.
  2. Appuyez sur le bouton Draft CircularArray.svg Réseau circulaire. Si aucun objet n'est sélectionné, le Panneau des tâches s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
  3. Choisissez la distance radiale, qui détermine la distance entre le centre du réseau et la couche circulaire suivante, et entre les couches circulaires suivantes.
  4. Choisissez la distance tangentielle, qui détermine la distance entre un élément du tableau et l'élément suivant dans la même couche circulaire. Cette distance détermine le nombre d'éléments qui seront dans le tableau; si le nombre est petit, il y aura de nombreuses copies bien emballées; si le nombre est important, il n'y aura que quelques exemplaires. Cette distance ne peut pas être nulle.
  5. Choisissez le nombre de couches circulaires. L'objet d'origine est considéré comme un seul calque. Minimum de 2, maximum de 99.
  6. Choisissez le numéro de symétrie, qui détermine la façon dont les objets seront distribués dans le tableau. Choisissez un nombre entre 1 et 10.
  7. Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la Vue 3D, pour définir simultanément la position du centre de rotation et terminer la commande.
  8. Facultativement, vérifiez les options de fusible ou de lien.
  9. Appuyez sur OK pour terminer la commande.

Remarques:

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • Chaque élément du réseau est un clone exact de l'objet d'origine mais l'ensemble du réseau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet que celui créé avec les outils Draft Réseau et Draft Réseau polaire. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.

Options

  • Appuyez sur Reset point pour définir le centre des motifs circulaires sur l'origine (0, 0, 0).
  • Si la case Fuse est cochée, les objets résultants dans le réseau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
  • Si la case Use Links est cochée, les objets résultants dans le réseau seront App Links au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la forme de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher Fuse n'a aucun effet.
  • Appuyez sur Esc ou sur le bouton Cancel pour abandonner la commande en cours.

Propriétés

Un objet Draft Réseau est basé surPart Feature (classe Part::Feature) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans Part Feature, l'objet Array possède des propriétés supplémentaires.

Voir l'outil Draft Réseau pour les informations complètes.

Script

Voir aussi: Draft API et FreeCAD sripts de base.

L'outil Réseau (Array) peut être utilisé dans une macro et dans la console Python avec la fonction suivante:

array_list = make_circular_array(obj, r_distance, tan_distance,
                                 axis, center, number, symmetry,
                                 use_link)
  • Crée un réseau à partir des objets contenus dans obj qui peut être un seul objet ou une liste d'objets.
  • Les valeurs de r_distance et tan_distance correspondent aux distances radiales et tangentielles des éléments du réseau.
  • Les valeurs de axis et center sont des vecteurs qui décrivent la direction de l'axe de rotation et un point par lequel passe cet axe.
  • La valeur de number est le nombre de couches circulaires dans le motif circulaire; l'objet d'origine compte comme premier calque.
  • La valeur de symmetry est un entier qui participe à certains calculs qui affectent la façon dont les copies sont réparties autour des circonférences. Essayez différentes valeurs, de 1 à 10, pour obtenir différents emplacements des copies.
  • Si use_link est True, les copies créées seront App Links et non des copies régulières.
  • array_list est retourné avec les nouvelles copies.
    • array_list est soit un objet unique soit une liste d'objets, selon l'entrée obj.

Exemple:

import FreeCAD as App
import Draft
import draftobjects.circulararray as ca

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
axis = App.Vector(0, 0, 1)
center = App.Vector(0, 0, 0)
arr = ca.make_circular_array(tri, 1800, 1200, axis, center, 4, 1)
App.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg